.sidebar {
  --sidebarbg: #272727;
  --hoverbg: #00000066;
  --nav-bg: #121111;
}
.menuIcon {
  --iconbg: #00bcd4;
}
.menuIcon,
.sidebar {
  display: none;
}
@media (max-width: 780px) {
  header {
    padding: 0;
  }
  header nav a {
    display: none;
  }

  .menuIcon {
    position: absolute;
    right: 22px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: var(--gap);
    border: 1px solid var(--borderColor);
    flex-direction: column;
    padding: 6px;
    border-radius: calc(var(--radius) / 3);
  }
  .menuIcon:hover {
    opacity: 0.7;
  }
  .menuIcon span {
    width: 24px;
    height: 4px;
    background: var(--iconbg);
    border-radius: 4px;
    transition: all var(--transition);
  }
  /* MAKE SPAN FOR CANCEL ICON LOOK LIKE AN X SHAPE */
  #middlebar.remove {
    display: none;
  }

  #topbar.crossForward {
    transform: rotate(135deg) translate(6px);
  }

  #bottombar.crossBackward {
    transform: rotate(-135deg) translate(6px);
  }

  #sidebarContainer {
    position: fixed;
    transform: translateX(100%);
    transition: transform var(--transition);
    width: 100%;
    height: 100dvh;
    z-index: 2000;
  }
  #sidebarContainer.show {
    transform: translateX(0);
    background: rgba(0, 0, 0, 0.7);
  }
  .sidebar {
    position: absolute;
    right: 0;
    bottom: 0;
    background: var(--sidebarbg);
    height: 100%;
    display: block;
    width: 60%;
  }
  .sidebar nav {
    display: flex;
    flex-direction: column;
    gap: calc(2 * var(--gap));
    padding-top: 22px;
  }
  .sidebar nav a {
    background: var(--nav-bg);
    text-decoration: none;
    color: #fafafa;
    border: 2px solid var(--borderColor);
    border-radius: var(--radius);
    text-align: center;
    margin: 0 15px;
    padding: 8px;
    font-size: 1.2rem;
    font-weight: 600;
    transition: background-color var(--transition), border var(--transition);
  }
  .sidebar nav a:hover {
    border-color: #fafafa;
    background-color: var(--hoverbg);
  }
  .sidebar nav a:focus-visible {
    outline: 2px solid var(--iconbg);
    outline-offset: 3px;
  }
}

@media (max-width: 600px) {
  .sidebar {
    width: 80%;
  }
}
